This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1280400 - segment fault: /lib64/libgobject-2.0.so.0.4700.1
segment fault: /lib64/libgobject-2.0.so.0.4700.1
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
24
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 11:39 EST by Han Han
Modified: 2017-08-08 08:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:23:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a gdb log as described in https://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products (209.23 KB, text/plain)
2015-12-10 07:45 EST, Christian Stadelmann
no flags Details

  None (edit)
Description Han Han 2015-11-11 11:39:21 EST
Description of problem:
In firefox, select a application to open the file to download.Then segment fault in libgobject appears. 
Version-Release number of selected component (if applicable):
firefox-42.0-3.fc24.x86_64
glib2-2.47.1-1.fc24.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Open a download link, such as https://www.gnu.org/s/bash/manual/bash.pdf
2. Select 'Open with', click the DropDownList, select 'Other..', select a not default application, click 'Select'. 
Then firefox crashed and receive SIGSEGV. 
3. Gdb backtrace info:
Program received signal SIGSEGV, Segmentation fault.
g_type_check_instance (type_instance=type_instance@entry=0x7f1a9627e4c0) at gtype.c:4139
4139              TypeNode *node = lookup_type_node_I (type_instance->g_class->g_type);
Missing separate debuginfos, use: dnf debuginfo-install flac-libs-1.3.1-5.fc24.x86_64 gsm-1.0.13-13.fc23.x86_64 json-c-0.12-6.fc23.x86_64 libasyncns-0.8-9.fc23.x86_64 
libcanberra-0.30-10.fc23.x86_64 libogg-1.3.2-4.fc23.x86_64 libsndfile-1.0.25-18.fc24.x86_64 libtdb-1.3.7-1.fc24.x86_64 libtool-ltdl-2.4.6-6.fc24.x86_64 libvorbis-1.3.$
-5.fc23.x86_64 pulseaudio-libs-7.1-1.fc24.x86_64 tcp_wrappers-libs-7.6-81.fc23.x86_64
(gdb) bt

#0  0x00007f1ae0db2669 in g_type_check_instance (type_instance=type_instance@entry=0x7f1a9627e4c0) at gtype.c:4139
#1  0x00007f1ae0da767e in g_signal_emit_valist (instance=0x7f1a9627e4c0, signal_id=321, detail=0, var_args=var_args@entry=0x7fffe3bb94f0) at gsignal.c:3168
#2  0x00007f1ae0da888f in g_signal_emit (instance=<optimized out>, signal_id=signal_id@entry=321, detail=detail@entry=0) at gsignal.c:3439
#3  0x00007f1ae100bcfe in g_context_specific_source_dispatch (source=0x7f1a971743e0, callback=<optimized out>, user_data=<optimized out>)
    at gcontextspecificgroup.c:54
#4  0x00007f1ae0a8c07a in g_main_context_dispatch (context=0x7f1ac8e1b320) at gmain.c:3154
#5  0x00007f1ae0a8c07a in g_main_context_dispatch (context=context@entry=0x7f1ac8e1b320) at gmain.c:3769
#6  0x00007f1ae0a8c410 in g_main_context_iterate (context=context@entry=0x7f1ac8e1b320, block=block@entry=0, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3840
#7  0x00007f1ae0a8c4bc in g_main_context_iteration (context=0x7f1ac8e1b320, context@entry=0x0, may_block=0) at gmain.c:3901
#8  0x00007f1ad6e0c362 in nsAppShell::ProcessNextNativeEvent(bool) (this=<optimized out>, mayWait=<optimized out>)
    at /usr/src/debug/firefox-42.0/firefox-42.0/widget/gtk/nsAppShell.cpp:158
#9  0x00007f1ad6df40ab in nsBaseAppShell::DoProcessNextNativeEvent(bool, unsigned int) (this=this@entry=0x7f1ac1a2c080, mayWait=mayWait@entry=false, recursionDepth=rec
ursionDepth@entry=0) at /usr/src/debug/firefox-42.0/firefox-42.0/widget/nsBaseAppShell.cpp:141
#10 0x00007f1ad6df417a in nsBaseAppShell::OnProcessNextEvent(nsIThreadInternal*, bool, unsigned int) (this=0x7f1ac1a2c080, thr=0x7f1ac8e1b7f0, mayWait=false, recursion
Depth=0) at /usr/src/debug/firefox-42.0/firefox-42.0/widget/nsBaseAppShell.cpp:281
#11 0x00007f1ad5cf7c97 in nsThread::ProcessNextEvent(bool, bool*) (this=0x7f1ac8e1b7f0, aMayWait=<optimized out>, aResult=0x7fffe3bb9837)
    at /usr/src/debug/firefox-42.0/firefox-42.0/xpcom/threads/nsThread.cpp:836
#12 0x00007f1ad5d12b4f in NS_ProcessNextEvent(nsIThread*, bool) (aThread=<optimized out>, aMayWait=aMayWait@entry=false)
    at /usr/src/debug/firefox-42.0/firefox-42.0/xpcom/glue/nsThreadUtils.cpp:277
#13 0x00007f1ad5edeaa3 in mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) (this=0x7f1ac8e4ca40, aDelegate=0x7f1ae4595840)
    at /usr/src/debug/firefox-42.0/firefox-42.0/ipc/glue/MessagePump.cpp:95
#14 0x00007f1ad5ecec0e in MessageLoop::Run() (this=<optimized out>) at /usr/src/debug/firefox-42.0/firefox-42.0/ipc/chromium/src/base/message_loop.cc:227
#15 0x00007f1ad5ecec0e in MessageLoop::Run() (this=<optimized out>) at /usr/src/debug/firefox-42.0/firefox-42.0/ipc/chromium/src/base/message_loop.cc:201
#16 0x00007f1ad6dee3cb in nsBaseAppShell::Run() (this=0x7f1ac1a2c080) at /usr/src/debug/firefox-42.0/firefox-42.0/widget/nsBaseAppShell.cpp:165
#17 0x00007f1ad738cb31 in nsAppStartup::Run() (this=0x7f1ac1931830) at /usr/src/debug/firefox-42.0/firefox-42.0/toolkit/components/startup/nsAppStartup.cpp:280
#18 0x00007f1ad73c5ea2 in XREMain::XRE_mainRun() (this=this@entry=0x7fffe3bb9ad8) at /usr/src/debug/firefox-42.0/firefox-42.0/toolkit/xre/nsAppRunner.cpp:4287
#19 0x00007f1ad73c614d in XREMain::XRE_main(int, char**, nsXREAppData const*) (this=this@entry=0x7fffe3bb9ad8, argc=argc@entry=1, argv=argv@entry=0x7fffe3bbaff8, aApp$ata=aAppData@entry=0x7fffe3bb9ce8) at /usr/src/debug/firefox-42.0/firefox-42.0/toolkit/xre/nsAppRunner.cpp:4380
#20 0x00007f1ad73c6398 in XRE_main(int, char**, nsXREAppData const*, uint32_t) (argc=1, argv=0x7fffe3bbaff8, aAppData=0x7fffe3bb9ce8, aFlags=<optimized out>)
    at /usr/src/debug/firefox-42.0/firefox-42.0/toolkit/xre/nsAppRunner.cpp:4482
#21 0x0000561bbe7ac371 in do_main(int, char**, nsIFile*) (argc=1, argv=0x7fffe3bbaff8, xreDirectory=0x7f1ae4569a80)
    at /usr/src/debug/firefox-42.0/firefox-42.0/browser/app/nsBrowserApp.cpp:212
#22 0x0000561bbe7aba72 in main(int, char**) (argc=1, argv=0x7fffe3bbaff8) at /usr/src/debug/firefox-42.0/firefox-42.0/browser/app/nsBrowserApp.cpp:399

Actual results:
As above
Expected results:
No segment fault.

Additional info:
In firefox crash report(about:crashes), the crash's Signature is libgobject-2.0.so.0.4700.1@0x35669 .
Comment 1 Christian Stadelmann 2015-12-10 07:45 EST
Created attachment 1104321 [details]
a gdb log as described in https://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products

Same here on F23. Mozilla crash ID: 3fcd1160-5099-470f-94cd-64d492151210
This crash happens with several different mime types.
Comment 2 Jan Kurik 2016-02-24 10:37:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Christian Stadelmann 2016-09-28 15:53:55 EDT
Not present any more on F25.

Possible reasons include:
* this bug was fixed
* evolution is ported to WebKit2 (webkitgtk4)
* https://bugzilla.gnome.org/show_bug.cgi?id=772142
Comment 4 Christian Stadelmann 2016-09-28 15:54:39 EDT
(In reply to Christian Stadelmann from comment #3)
> Not present any more on F25.
> 
> Possible reasons include:
> * this bug was fixed
> * evolution is ported to WebKit2 (webkitgtk4)
> * https://bugzilla.gnome.org/show_bug.cgi?id=772142

Sorry, wrong browser tab. Please ignore.
Comment 5 Fedora End Of Life 2017-07-25 15:28:33 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Christian Stadelmann 2017-07-26 15:27:41 EDT
I think this bug has been fixed in the mean time.
Comment 7 Fedora End Of Life 2017-08-08 08:23:28 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.